Rename default search definition for templates
02/19/2019 11:51 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Search
Target version:
Difficulty: Fixed in Releases: 1.22.0
Triaged: No Found in Releases:
Bugzilla link: 1678300 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6492
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1678300

Description of problem: Searching template for string "default" returns the wrong result

— hammer --no-headers --csv template list --search "TEST defaul”
137,TEST default,provision

— hammer --no-headers --csv template list --search "TEST default"
No Result

Other test result

Satellite 6.5
— hammer --no-headers --csv template list --search "default” | wc -I
93

— hammer --no-headers --csv template list --search "defaul” | wc -I
61

Satellite 6.3(Correct result)
— hammer --csv template list --search "default" | wc -
122

— hammer --csv template list --search "defaul" | wc -I
122

*Version-Release number of selected component (if applicable):*6.5.0
How reproducible: Always

Additional info:
Sqgl Query in Satellite 6.3

Satellite 6.3:

SELECT COUNT FROM "templates" LEFT OUTER JOIN "operatingsystems_provisioning_templates" ON
"operatingsystems_provisioning_templates"."provisioning_template_id" = "templates"."id" LEFT OUTER JOIN "operatingsystems"
ON "operatingsystems"."id" = "operatingsystems_provisioning_templates"."operatingsystem_id" LEFT OUTER JOIN
"template_combinations" ON "template_combinations"."provisioning_template_id" = "templates"."id" LEFT OUTER JOIN
"environments" ON "environments"."id" = "template_combinations"."environment_id" LEFT OUTER JOIN "template_combinations"
"template_combinations_templates_join" ON "template_combinations_templates_join"."provisioning_template_id" = "templates"."id"
LEFT OUTER JOIN "hostgroups" ON "hostgroups"."id" = "template_combinations_templates_join"."hostgroup_id" LEFT OUTER

JOIN "template_kinds" ON "template_kinds"."id" = "templates"."template_kind_id" WHERE "templates"."type" IN
('‘ProvisioningTemplate') AND ((("templates"."name" ILIKE '%6UNSW%' OR "templates"."template" ILIKE '%6UNSW%' OR
"operatingsystems"."name" ILIKE '%UNSW%' OR "environments"."name" ILIKE '%6UNSW%' OR "hostgroups"."name" ILIKE
'%UNSW%' OR "template_kinds"."name" ILIKE '%UNSW%') AND ("templates"."name" ILIKE '%defauli%' OR "templates"."template”
ILIKE '%default%' OR "operatingsystems"."name" ILIKE '%default%' OR "environments"."name" ILIKE '%default%' OR
"hostgroups"."name" ILIKE '%default%' OR "template_kinds"."name" ILIKE '%default%'")))

Satellite 6.5:

irb(main):010:0> ProvisioningTemplate.search_for("UNSW default").count

D, [2019-02-18T16:39:01.316511 #28441] DEBUG --: (14.2ms) SELECT COUNT FROM "templates" LEFT OUTER JOIN
"operatingsystems_provisioning_templates" ON "operatingsystems_provisioning_templates"."provisioning_template_id" =
"templates"."id" LEFT OUTER JOIN "operatingsystems" ON "operatingsystems"."id" =
"operatingsystems_provisioning_templates"."operatingsystem_id" LEFT OUTER JOIN "template_combinations" ON
"template_combinations"."provisioning_template_id" = "templates”."id" LEFT OUTER JOIN "environments" ON "environments"."id" =
"template_combinations"."environment_id" LEFT OUTER JOIN "template_combinations" "template_combinations_templates_join"
ON "template_combinations_templates_join"."provisioning_template_id" = "templates"."id" LEFT OUTER JOIN "hostgroups" ON
"hostgroups"."id" = "template_combinations_templates_join"."hostgroup_id" LEFT OUTER JOIN "template_kinds" ON
"template_kinds"."id" = "templates”."template_kind_id" WHERE "templates"."type" IN ('ProvisioningTemplate') AND
((("templates"."name" ILIKE '%sUNSW%' OR "templates"."template” ILIKE '%6UNSW%' OR "operatingsystems"."name" ILIKE
'%UNSW%' OR "environments"."name" ILIKE '%UNSW%' OR "hostgroups"."name" ILIKE '%UNSW%' OR "template_kinds"."name"
ILIKE '%UNSW%') AND (("templates"."default" <> 'f"))))

In Satellite 6.5: the sql query search only in the default template
AND (("templates"."default" <> 'f'))

Workaround: Set default = true in the template

Associated revisions

Revision 944d613d - 04/03/2019 06:05 AM - Marek Hulan

Fixes #26083 - rename default in search definition

History

#1 - 02/19/2019 11:53 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6492 added

#2 - 04/03/2019 06:06 AM - Ondfej Prazak

- Subject changed from Rename default search definition for templates
to Rename default search definition for templates

- Status changed from Ready For Testing to Closed
- Fixed in Releases 1.22.0 added
